# VIDU Q2 Turbo Image to Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q2-turbo-img2video

# VIDU Q2 Turbo Image to Video

POST

/

v3

/

async

/

vidu-q2-turbo-img2video

VIDU Q2 Turbo Image to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q2-turbo-img2video \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"bgm": true,
"seed": 123,
"audio": true,
"images": [
""
],
"prompt": "",
"duration": 123,
"off_peak": true,
"voice_id": "",
"watermark": true,
"resolution": "",
"movement_amplitude": ""
}
'
```

```
import requests

url = "https://api.novita.ai/v3/async/vidu-q2-turbo-img2video"

payload = {
"bgm": True,
"seed": 123,
"audio": True,
"images": [""],
"prompt": "",
"duration": 123,
"off_peak": True,
"voice_id": "",
"watermark": True,
"resolution": "",
"movement_amplitude": ""
}
headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'POST',
headers: {'Content-Type': '', Authorization: ''},
body: JSON.stringify({
bgm: true,
seed: 123,
audio: true,
images: [''],
prompt: '',
duration: 123,
off_peak: true,
voice_id: '',
watermark: true,
resolution: '',
movement_amplitude: ''
})
};

fetch('https://api.novita.ai/v3/async/vidu-q2-turbo-img2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/v3/async/vidu-q2-turbo-img2video",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bgm' => true,
'seed' => 123,
'audio' => true,
'images' => [
''
],
'prompt' => '',
'duration' => 123,
'off_peak' => true,
'voice_id' => '',
'watermark' => true,
'resolution' => '',
'movement_amplitude' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/v3/async/vidu-q2-turbo-img2video"

payload := strings.NewReader("{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"images\": [\n \"\"\n ],\n \"prompt\": \"\",\n \"duration\": 123,\n \"off_peak\": true,\n \"voice_id\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"movement_amplitude\": \"\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.post("https://api.novita.ai/v3/async/vidu-q2-turbo-img2video")
.header("Content-Type", "")
.header("Authorization", "")
.body("{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"images\": [\n \"\"\n ],\n \"prompt\": \"\",\n \"duration\": 123,\n \"off_peak\": true,\n \"voice_id\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"movement_amplitude\": \"\"\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/v3/async/vidu-q2-turbo-img2video")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''
request.body = "{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"images\": [\n \"\"\n ],\n \"prompt\": \"\",\n \"duration\": 123,\n \"off_peak\": true,\n \"voice_id\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"movement_amplitude\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

200

```
{
"task_id": ""
}
```

VIDU Q2 Turbo image to video API, supports multiple resolution options. Generates new video content based on input images, Turbo version balances speed and performance.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-bgm)

bgm

boolean

default:false

Whether to add background music

[​](#param-seed)

seed

integer

Random seed for controlling randomness. Same seed produces similar results.

[​](#param-audio)

audio

boolean

default:false

Whether to generate audio

[​](#param-images)

images

string[]

required

Input image URL listArray length: 1 - unlimited

[​](#param-prompt)

prompt

string

required

Text prompt describing the desired video content

[​](#param-duration)

duration

integer

default:5

required

Video duration in seconds, supports 1-10 secondsOptional values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`

[​](#param-off-peak)

off_peak

boolean

default:false

Whether to enable off-peak mode

[​](#param-voice-id)

voice_id

string

Voice ID, optional

[​](#param-watermark)

watermark

boolean

default:false

Whether to add watermark

[​](#param-resolution)

resolution

string

default:"720p"

Output video resolution. Default is 720p.Optional values: `540p`, `720p`, `1080p`

[​](#param-movement-amplitude)

movement_amplitude

string

default:"auto"

Movement amplitude, controls the intensity of object movementOptional values: `auto`, `small`, `medium`, `high`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on July 3, 2026
